<?xml version="1.0" encoding="utf-8" ?>
<!-- Copyright 2026 Criptomart
     License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl). -->
<odoo>
    <!-- Add origin_text field to product template form view -->
    <record id="product_template_form_view_origin_text" model="ir.ui.view">
        <field name="name">product.template.form.origin.text</field>
        <field name="model">product.template</field>
        <field name="inherit_id" ref="product.product_template_form_view" />
        <field name="arch" type="xml">
            <xpath expr="//field[@name='categ_id']" position="after">
                <field name="origin_text" />
            </xpath>
        </field>
    </record>

    <!-- Add origin_text field to product product tree view -->
    <record id="product_product_tree_view_origin_text" model="ir.ui.view">
        <field name="name">product.product.tree.origin.text</field>
        <field name="model">product.product</field>
        <field name="inherit_id" ref="product.product_product_tree_view" />
        <field name="arch" type="xml">
            <field name="default_code" position="after">
                <field name="origin_text" optional="hide" />
            </field>
        </field>
    </record>

    <!-- Add origin_text field to product template tree view -->
    <record id="product_template_tree_view_origin_text" model="ir.ui.view">
        <field name="name">product.template.tree.origin.text</field>
        <field name="model">product.template</field>
        <field name="inherit_id" ref="product.product_template_tree_view" />
        <field name="arch" type="xml">
            <field name="categ_id" position="after">
                <field name="origin_text" optional="hide" />
            </field>
        </field>
    </record>
</odoo>
